Home

GET /api/

GET /api/{spaceId}

Returns a document describing the specified Space and links to other parts of the API that apply to the Space.

Path Parameters

  • spaceId string (required)
    Must match Spaces-\d+.

Response

200 — Success

  • Id string
    Gets or sets a unique identifier for this resource.
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.

Example Response

JSON
{
  "Id": "string",
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  }
}

GET /api/

GET /api/

Returns a document describing the current Octopus Server and links to other parts of the API.

Response

200 — Success

  • ApiVersion string
  • Application string
  • HasLongTermSupport boolean
    Every release from 2020.1 onwards of Octopus Server comes with long-term support. I wanted to remove this from the API, but that would be a breaking change. @michaelnoonan 2020-04-20.
  • Id string
    Gets or sets a unique identifier for this resource.
  • InstallationId string
    Format uuid.
  • IsEarlyAccessProgram boolean
    Defaults to false.
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • Version string

Example Response

JSON
{
  "ApiVersion": "string",
  "Application": "string",
  "HasLongTermSupport": true,
  "Id": "string",
  "InstallationId": "00000000-0000-0000-0000-000000000000",
  "IsEarlyAccessProgram": true,
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "Version": "string"
}